Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java	(revision 652)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java	(revision 653)
@@ -1,29 +1,19 @@
 package org.txm.cah.rcp.editors;
 
-import org.eclipse.core.runtime.IProgressMonitor;
-import org.eclipse.core.runtime.IStatus;
-import org.eclipse.core.runtime.Status;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.CLabel;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.cah.core.functions.AHC;
-import org.txm.cah.core.messages.AHCCoreMessages;
 import org.txm.cah.core.preferences.AHCPreferences;
 import org.txm.cah.rcp.messages.AHCUIMessages;
-import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.Parameter;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.JobsTimer;
-import org.txm.rcp.utils.JobHandler;
-import org.txm.rcp.views.QueriesView;
-import org.txm.statsengine.r.rcp.views.RVariablesView;
-import org.txm.utils.logger.Log;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 
 /**
  * CAH chart editor.
@@ -34,201 +24,100 @@
  */
 public class AHCChartEditor extends ChartEditor<AHC> {
 
+	
 	/**
-	 * Numbers of clusters.
+	 * Rows computing button.
 	 */
-	protected Spinner numbersOfClusters;
+	protected ToolItem rowsComputing;
+	
+	
 
+	/**
+	 * The metric (euclidean, manhattan).
+	 */
+	@Parameter(key=AHCPreferences.METRIC)
+	protected String metric;
 
+	/**
+	 * The method (METHODS <- c("average", "single", "complete", "ward", "weighted", "flexible")).
+	 */
+	@Parameter(key=AHCPreferences.METHOD)
+	protected String method;
 
+	/**
+	 * The number of clusters.
+	 */
+	@Parameter(key=AHCPreferences.N_CLUSTERS)
+	protected Spinner numberOfClusters;
+
+	/**
+	 * To compute the columns or the rows.
+	 */
+	@Parameter(key=AHCPreferences.COLUMNS_COMPUTING)
+	protected ToolItem columnsComputing;
+	
+	/**
+	 * To render in 2D or 3D.
+	 */
+	@Parameter(key=AHCPreferences.RENDERING_2D)
+	protected Button rendering2D;
+
+	
+	
+
 	@Override
 	public void _createPartControl(Composite parent) {
 
 		// Extend the chart editor tool bar
-		ToolItem separator = new ToolItem(this.topToolBar, SWT.SEPARATOR);
+		new ToolItem(this.chartToolBar, SWT.SEPARATOR);
 
 		// Number of clusters
-		ToolItem itemSeparator = new ToolItem(this.topToolBar, SWT.SEPARATOR);
-	    CLabel clustersLabel = new CLabel(this.topToolBar, SWT.CENTER);
+	    CLabel clustersLabel = new CLabel(this.chartToolBar, SWT.CENTER);
 		clustersLabel.setText(AHCUIMessages.CHART_TOOLBAR_BUTTON_NUMBER_OF_CLUSTERS);
-		clustersLabel.pack();
-		itemSeparator.setWidth(clustersLabel.getBounds().width);
-	    itemSeparator.setControl(clustersLabel);
+		this.chartToolBar.addControl(clustersLabel);
 
-	    itemSeparator = new ToolItem(this.topToolBar, SWT.SEPARATOR);
-	    this.numbersOfClusters = new Spinner(this.topToolBar, SWT.BORDER);
-	    this.numbersOfClusters.setMinimum(2);
-	    this.numbersOfClusters.setIncrement(1);
+	    this.numberOfClusters = new Spinner(this.chartToolBar, SWT.BORDER);
+	    this.numberOfClusters.setMinimum(2);
+	    this.numberOfClusters.setIncrement(1);
+	    this.chartToolBar.addControl(this.numberOfClusters);
+	    this.numberOfClusters.addSelectionListener(new ComputeSelectionListener(this));
 
-		itemSeparator.setControl(this.numbersOfClusters);
-		this.numbersOfClusters.pack();
-		itemSeparator.setWidth(this.numbersOfClusters.getBounds().width);
 
-
 		// Columns
-		final ToolItem computeColumns = new ToolItem(this.topToolBar, SWT.RADIO);
-		computeColumns.setToolTipText(AHCUIMessages.COMPUTE_COLUMNS);
-		computeColumns.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_columns.png")); //$NON-NLS-1$
+		this.columnsComputing = new ToolItem(this.chartToolBar, SWT.RADIO);
+		this.columnsComputing.setToolTipText(AHCUIMessages.COMPUTE_COLUMNS);
+		this.columnsComputing.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_columns.png")); //$NON-NLS-1$
+		this.columnsComputing.addSelectionListener(new ComputeSelectionListener(this));
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//computeColumns.setText(CAUIPMessages.ComputeClassification_5);
-		computeColumns.setSelection(this.getBooleanParameterValue(AHCPreferences.COLUMNS_COMPUTING));
+		//this.columnsComputing.setText(CAUIPMessages.ComputeClassification_5);
+		//this.columnsComputing.setSelection(this.getBooleanParameterValue(AHCPreferences.COLUMNS_COMPUTING));
 
 		// Rows
-		final ToolItem computeRows = new ToolItem(this.topToolBar, SWT.RADIO);
-		computeRows.setToolTipText(AHCUIMessages.COMPUTE_ROWS);
-		computeRows.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_rows.png")); //$NON-NLS-1$
-		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//computeRows.setText(CAUIPMessages.ComputeClassification_6);
-		computeRows.setSelection(!this.getBooleanParameterValue(AHCPreferences.COLUMNS_COMPUTING));
+		this.rowsComputing = new ToolItem(this.chartToolBar, SWT.RADIO);
+		this.rowsComputing.setToolTipText(AHCUIMessages.COMPUTE_ROWS);
+		this.rowsComputing.setImage(IImageKeys.getImage(AHCChartEditor.class, "icons/compute_rows.png")); //$NON-NLS-1$
 
 		
-		// 2D/3D
-		final Combo displayCombo = new Combo(this.topToolBar, SWT.READ_ONLY);
-		String items[] = { "2D", "3D" }; //$NON-NLS-1$ //$NON-NLS-2$
-		displayCombo.setItems(items);
-		if(this.getBooleanParameterValue(AHCPreferences.DISPLAY_2D))	{
-			displayCombo.select(0);
-		}
-		else	{
-			displayCombo.select(1);
-		}
-		
-		ToolItem comboItem = new ToolItem(this.topToolBar, SWT.SEPARATOR);
-		comboItem.setControl(displayCombo);
-		displayCombo.pack();
-		comboItem.setWidth(displayCombo.getBounds().width);
-		
-		// Listeners
-		SelectionListener listener = new SelectionListener() {
-			
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				AHC cah = getResult();
+		// 2D/3D rendering
+		this.rendering2D = new Button(this.chartToolBar, SWT.CHECK);
+		this.rendering2D.setText("2D");//$NON-NLS-1$
+		this.chartToolBar.addControl(this.rendering2D);
+		this.rendering2D.addSelectionListener(new ComputeSelectionListener(this));
+		//this.rendering2D.setBackground(itemSeparator.getParent().getBackground());
 
-				// Numbers of clusters
-				if(e.getSource() == numbersOfClusters)	{
-					
-					cah.setNCluster(((Spinner)e.getSource()).getSelection());
-				}
-				// Compute columns or rows
-				else if(e.getSource() == computeColumns || e.getSource() == computeRows)	{
-					
-					// cancel the event if nothing has changed
-//					if(e.getSource() == computeColumns && computeColumns.getSelection()
-//							|| e.getSource() == computeRows && computeRows.getSelection())	{
-//						return;
-//					}
-					
-					cah.setColumnsComputing(computeColumns.getSelection());
-					
-					// reset the number of clusters
-					cah.setNCluster(TXMPreferences.getInt(AHCPreferences.N_CLUSTERS, AHCPreferences.PREFERENCES_NODE));
-
-					updateNumbersOfClustersCurrentValue();
-					// Update the maximum value of the number of clusters spinner according to the new CAH configuration 
-					updateNumbersOfClustersMaxValue();
-				}
-				else if(e.getSource() == displayCombo)	{
-					cah.saveParameter(AHCPreferences.DISPLAY_2D, (displayCombo.getSelectionIndex() == 0));
-				}
-				
-				
-				// Recompute the CAH and the chart
-				//computeResult(true);
-			}
-			
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				// TODO Auto-generated method stub
-				
-			}
-		};
-		
-		this.numbersOfClusters.addSelectionListener(listener);
-		computeColumns.addSelectionListener(listener);
-		displayCombo.addSelectionListener(listener);
-		
-		//this.computeResult(false);
-		
-		
-
 	}
 
 
-//	/**
-//	 * Computes the result and the chart.
-//	 * @param update
-//	 */
-//	public void computeResult(final boolean update)	{
-//		
-//		JobHandler jobhandler = new JobHandler(AHCCoreMessages.LOG_COMPUTE_CAH) {
-//			@Override
-//			protected IStatus run(IProgressMonitor monitor) {
-//				this.runInit(monitor);
-//				try {
-//
-//					this.acquireSemaphore();
-//					getResultData().compute(this);
-//					this.releaseSemaphore();
-//
-//					if(!update)	{
-//
-//						getResultData().getCA().addChild(getResultData());
-//						
-//						// Refresh views
-//						this.syncExec(new Runnable() {
-//							@Override
-//							public void run() {
-//								
-//							    updateNumbersOfClustersMaxValue();
-//							    updateNumbersOfClustersCurrentValue();
-//
-//								QueriesView.refresh();
-//								RVariablesView.refresh();
-//							}
-//						});
-//					
-//						
-//					}
-//					
-//					compute(update);
-//					
-//				}
-//				// for user direct canceling
-//				catch (ThreadDeath td) {
-//					return Status.CANCEL_STATUS;
-//				}
-//				catch (Exception e) {
-//					System.out.println(e.getLocalizedMessage());
-//					org.txm.rcp.utils.Logger.printStackTrace(e);
-//					Log.severe("Error while computing CAH: " + e.getLocalizedMessage());
-//				}
-//				finally {
-//					monitor.done();
-//					JobsTimer.stopAndPrint();
-//				}
-//				return Status.OK_STATUS;
-//			}
-//		};
-//		jobhandler.startJob();
-//	}
-	
-	
-	
-	
-	/**
-	 * Updates the maximum value of the number of clusters spinner according to the CAH configuration.
-	 */
-	public void updateNumbersOfClustersMaxValue()	{
-		int max = this.getResult().getMaxClustersCount();
-		this.numbersOfClusters.setMaximum(max);
-	}
+	@Override
+	public void updateEditorFromResult(boolean update) {
+		
+		// Update the maximum value of the number of clusters spinner according to the new CAH configuration 
+		this.numberOfClusters.setMaximum(this.getResult().getMaxClustersCount());
 
-	/**
-	 * Updates the current value of the number of clusters spinner.
-	 */
-	public void updateNumbersOfClustersCurrentValue()	{
-		this.numbersOfClusters.setSelection(TXMPreferences.getInt(AHCPreferences.PREFERENCES_NODE, this.getResult(), AHCPreferences.N_CLUSTERS));
+		// Updates the current value of the number of clusters spinner
+		this.numberOfClusters.setSelection(this.getResult().getNumberOfClusters());
+		
+		this.rowsComputing.setSelection(!this.getResult().isColumnsComputing());
 	}
 
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java	(revision 652)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeKeyListener.java	(revision 653)
@@ -27,11 +27,16 @@
 
 	@Override
 	public void keyPressed(KeyEvent e) {
-		// FIXME: debug
-		// System.out.println("key pressed : "+e.keyCode);
 		if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 			this.editor.compute(false);
 		}
+		// FIXME: update the result from the widget
+		// purpose here is, for example, to enable the compute command button when a query is typed
+		// the code below doesn't work as expected
+//		else	{
+//			this.editor.autoUpdateResultFromEditorParameters();
+//			this.editor.updateResultFromEditor();
+//		}
 	}
 
 	@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 652)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 653)
@@ -7,9 +7,9 @@
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.ToolBar;
 import org.eclipse.swt.widgets.ToolItem;
@@ -90,7 +90,21 @@
 		this.setVisible(((Group) this.editorPart.getParametersGroupsComposite().getChildren()[0]), visible);
 	}
 	
+	
 	/**
+	 * Adds the specified control to this toolbar.
+	 * Convenience method to add non-ToolItem controls to the toolbar using the SWT.SEPARATOR trick, plus packing and setting the right width.
+	 * @param control
+	 */
+	public void addControl(Control control)	{
+		ToolItem itemSeparator = new ToolItem(this, SWT.SEPARATOR);
+		control.pack();
+		itemSeparator.setWidth(control.getBounds().width);
+	    itemSeparator.setControl(control);	
+	}
+
+	
+	/**
 	 * Creates a <code>Group</code> with some configuration to make it visible/invisible and a <code>ToolItem</code> attached to the specified tool bar to show/hide this group.
 	 * 
 	 * @param composite
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 652)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 653)
@@ -57,7 +57,6 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
-import org.txm.functions.summary.Summary;
 import org.txm.objects.Page;
 import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
@@ -65,6 +64,7 @@
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
+import org.txm.searchengine.cqp.core.functions.summary.Summary;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 652)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMResultDebugView.java	(revision 653)
@@ -106,7 +106,8 @@
 		buffer.append("Empty name: " + this.currentResult.getEmptyName() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("toString(): " + this.currentResult.toString() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buffer.append("Details: " + this.currentResult.getDetails() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
-
+		buffer.append("Dirty: " + this.currentResult.isDirty() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		// Object parameters
 		buffer.append("\n"); //$NON-NLS-1$
 		buffer.append(this.currentResult.dumpParameters());
Index: tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/vlcplayer/VLCPlayerEditor.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/vlcplayer/VLCPlayerEditor.java	(revision 652)
+++ tmp/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/vlcplayer/VLCPlayerEditor.java	(revision 653)
@@ -7,8 +7,6 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
-import org.txm.core.results.TXMResult;
-import org.txm.rcp.editors.TXMEditorPart;
 
 public class VLCPlayerEditor extends EditorPart {
 	
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 652)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 653)
@@ -1,6 +1,5 @@
 package org.txm.ca.rcp.messages;
 
-import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
 public class CAUIMessages extends Utf8NLS {
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 652)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 653)
@@ -10,11 +10,11 @@
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.ca.rcp.messages.CAUIMessages;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.core.results.Parameter;
 import org.txm.rcp.IImageKeys;
-import org.txm.utils.logger.Log;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 
 /**
  * Correspondence analysis factorial map chart editor.
@@ -25,6 +25,7 @@
 
 
 	// FIXME: try to automate that
+	// a solution is to stop using to int in CA but a members int[] dimensions, then use a ComboViewer in this editor
 //	/**
 //	 * First dimension.
 //	 */
@@ -71,44 +72,42 @@
 	public void _createPartControl(Composite parent) {
 
 		// Extend the chart editor tool bar
-		ToolItem separator = new ToolItem(this.topToolBar, SWT.SEPARATOR);
+		new ToolItem(this.chartToolBar, SWT.SEPARATOR);
 
 		
 		// Show/hide columns
-		showIndividuals = new ToolItem(this.topToolBar, SWT.CHECK);
+		showIndividuals = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
 		showIndividuals.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_COLUMS_TOOLTIP);
 		showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png"));
-		//showIndividuals.setSelection(this.getBooleanParameterValue(CAPreferences.SHOW_INDIVIDUALS));
+		showIndividuals.addSelectionListener(new ComputeSelectionListener(this));
 
 		// Show/hide rows
-		showVariables = new ToolItem(this.topToolBar, SWT.CHECK);
+		showVariables = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
 		showVariables.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_ROWS_TOOLTIP);
 		showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png"));
-		//showVariables.setSelection(this.getBooleanParameterValue(CAPreferences.SHOW_VARIABLES));
+		showVariables.addSelectionListener(new ComputeSelectionListener(this));
 
+		
 		// Show/hide point shapes
-		showPointShapes = new ToolItem(this.topToolBar, SWT.CHECK);
+		showPointShapes = new ToolItem(this.chartToolBar, SWT.CHECK);
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
 		//showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
 		showPointShapes.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_HIDE_POINT_SHAPES);
 		showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png"));
-		//showPointShapes.setSelection(this.getBooleanParameterValue(CAPreferences.SHOW_POINT_SHAPES));
+		showPointShapes.addSelectionListener(new ComputeSelectionListener(this));
+
 		
-		
 		// Factors plane selection
-		ToolItem itemSeparator = new ToolItem(this.topToolBar, SWT.SEPARATOR);
-		CLabel factorsLabel = new CLabel(this.topToolBar, SWT.CENTER);
+		CLabel factorsLabel = new CLabel(this.chartToolBar, SWT.CENTER);
 		factorsLabel.setText(CAUIMessages.CHART_TOOLBAR_AXES_SELECTION_COMBO_BOX_LABEL);
-		factorsLabel.pack();
-		itemSeparator.setWidth(factorsLabel.getBounds().width);
-	    itemSeparator.setControl(factorsLabel);
+		this.chartToolBar.addControl(factorsLabel);
+		
+	    final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
 
-	    final Combo plansCombo = new Combo(this.topToolBar, SWT.READ_ONLY);
-
 		// FIXME: commented because the infos panel is not ready to manage more axes
 //		ArrayList<String> planes = null;
 //		try {
@@ -150,10 +149,7 @@
 		}
 
 
-		ToolItem comboItem = new ToolItem(this.topToolBar, SWT.SEPARATOR);
-		comboItem.setControl(plansCombo);
-		plansCombo.pack();
-		comboItem.setWidth(plansCombo.getBounds().width);
+		this.chartToolBar.addControl(plansCombo);
 		
 		
 		
@@ -165,33 +161,8 @@
 
 				boolean resetView = false;
 				
-				//Show/hide columns
-				if(e.getSource() == showIndividuals)	{
-
-					// Cancel the event and do nothing if only columns are currently displayed
-					if(!((ToolItem) e.getSource()).getSelection() && !showVariables.getSelection())	{
-						((ToolItem) e.getSource()).setSelection(true);
-						return;
-					}
-					getResult().setShowIndividuals(((ToolItem) e.getSource()).getSelection());
-				}
-				//Show/hide rows
-				else if(e.getSource() == showVariables)	{
-
-					// Cancel the event and do nothing if only rows are currently displayed
-					if(!((ToolItem) e.getSource()).getSelection() && !showIndividuals.getSelection())	{
-						((ToolItem) e.getSource()).setSelection(true);
-						return;
-					}
-
-					getResult().setShowVariables(((ToolItem) e.getSource()).getSelection());
-				}
-				//Show/hide rows
-				else if(e.getSource() == showPointShapes)	{
-					getResult().setShowPointShapes(((ToolItem) e.getSource()).getSelection());
-				}
 				// Change factors
-				else if(e.getSource() == plansCombo)	{
+				if(e.getSource() == plansCombo)	{
 
 					Combo plans = (Combo) e.getSource();
 
@@ -201,15 +172,9 @@
 					String str = plans.getItem(plans.getSelectionIndex());
 					str = str.substring(1, str.length() -1); // remove ( and )
 					String[] split = str.split(","); // 2 items //$NON-NLS-1$
-					// FIXME: this case should never happens
-					if(split.length != 2)	{
-						Log.severe("** Internal error: CA plan selection error"); //$NON-NLS-1$
-						return;
-					}
 					dimension1 = Integer.parseInt(split[0]);
 					dimension2 = Integer.parseInt(split[1]);
 
-					// FIXME: persistence
 					getResult().setFirstDimension(dimension1);
 					getResult().setSecondDimension(dimension2);
 
@@ -230,9 +195,6 @@
 		};
 		
 		
-		showIndividuals.addSelectionListener(listener);
-		showVariables.addSelectionListener(listener);
-		showPointShapes.addSelectionListener(listener);
 		plansCombo.addSelectionListener(listener);
 	
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 652)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 653)
@@ -121,7 +121,6 @@
 			else if (selection instanceof LexicalTable) {
 				LexicalTable lexicalTable = (LexicalTable) selection;
 				Property property = lexicalTable.getProperty();
-				Partition partition = lexicalTable.getPartition();
 
 				Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, lexicalTable, property));
 
@@ -144,10 +143,7 @@
 				Log.severe("Error: cannot compute a CA with current selection: " + selection);
 				return null;
 			}
-
-			// FIXME: old code
-			//ChartEditor.compute(ca);
-			// FIXME: new code
+			// compute the CA
 			ca.compute();
 
 			try {
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 652)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 653)
@@ -24,3 +24,4 @@
  org.txm.ca.rcp.messages,
  org.txm.ca.rcp.preferences
 Bundle-Vendor: Textometrie.org
+Bundle-ActivationPolicy: lazy
